프로젝트 조회
curl --request GET \
--url https://api.edicus.io/v2/projects/{project_id} \
--header 'edicus-api-key: <api-key>' \
--header 'edicus-uid: <edicus-uid>'import requests
url = "https://api.edicus.io/v2/projects/{project_id}"
headers = {
"edicus-uid": "<edicus-uid>",
"edicus-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'edicus-uid': '<edicus-uid>', 'edicus-api-key': '<api-key>'}
};
fetch('https://api.edicus.io/v2/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.edicus.io/v2/projects/{project_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"edicus-api-key: <api-key>",
"edicus-uid: <edicus-uid>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.edicus.io/v2/projects/{project_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("edicus-uid", "<edicus-uid>")
req.Header.Add("edicus-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.edicus.io/v2/projects/{project_id}")
.header("edicus-uid", "<edicus-uid>")
.header("edicus-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.edicus.io/v2/projects/{project_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["edicus-uid"] = '<edicus-uid>'
request["edicus-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"project_id": "-LiBngTbCFYNjcOVcxcY",
"ctime": "2019-06-25T04:04:51.011Z",
"mtime": "2019-06-25T04:04:51.011Z",
"ps_code": "50x90@NC",
"status": "editing",
"template_uri": "gcs://template/partners/sandbox/...",
"title": "sample test"
}프로젝트
프로젝트 조회
프로젝트 하나의 정보를 조회합니다.
없는 project_id이거나 edicus-uid 사용자의 프로젝트가 아니면 404 project_not_found입니다.
GET
/
v2
/
projects
/
{project_id}
프로젝트 조회
curl --request GET \
--url https://api.edicus.io/v2/projects/{project_id} \
--header 'edicus-api-key: <api-key>' \
--header 'edicus-uid: <edicus-uid>'import requests
url = "https://api.edicus.io/v2/projects/{project_id}"
headers = {
"edicus-uid": "<edicus-uid>",
"edicus-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'edicus-uid': '<edicus-uid>', 'edicus-api-key': '<api-key>'}
};
fetch('https://api.edicus.io/v2/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.edicus.io/v2/projects/{project_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"edicus-api-key: <api-key>",
"edicus-uid: <edicus-uid>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.edicus.io/v2/projects/{project_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("edicus-uid", "<edicus-uid>")
req.Header.Add("edicus-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.edicus.io/v2/projects/{project_id}")
.header("edicus-uid", "<edicus-uid>")
.header("edicus-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.edicus.io/v2/projects/{project_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["edicus-uid"] = '<edicus-uid>'
request["edicus-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"project_id": "-LiBngTbCFYNjcOVcxcY",
"ctime": "2019-06-25T04:04:51.011Z",
"mtime": "2019-06-25T04:04:51.011Z",
"ps_code": "50x90@NC",
"status": "editing",
"template_uri": "gcs://template/partners/sandbox/...",
"title": "sample test"
}Authorizations
모션원에서 발급받는 API 키입니다. 외부에 유출되지 않도록 각별히 주의합니다.
Headers
고객사가 사용자에게 부여한 고유 id입니다. 1~70자이고 a-z, A-Z, 0-9, _, !, @, -, +, =만 쓸 수 있습니다. 없거나 규칙을 어기면 400 invalid_request입니다.
Required string length:
1 - 70Pattern:
^[a-zA-Z0-9_!@\-+=]+$Path Parameters
프로젝트 id
Minimum string length:
1Response
프로젝트입니다.
편집기가 저장한 프로젝트 정보입니다. 아래에 없는 필드가 더 들어 있을 수 있습니다.
프로젝트 id입니다. 편집기를 다시 열거나 주문할 때 씁니다
생성 시각
수정 시각
사이즈코드@상품코드
Example:
"50x90@NC"
프로젝트를 만들 때 쓴 템플릿의 URI입니다. 없으면 복제할 수 없습니다(409 project_not_clonable)
프로젝트 제목입니다
프로젝트 상태입니다. 열린 문자열이라 아래 목록 밖의 값이 올 수도 있습니다. 모르는 값을 오류로 처리하지 않습니다.
editing: 편집 중cloning: 비동기 복제 진행 중. 편집기로 열면 실패합니다ordering: 잠정 주문됨. 편집 불가, 취소 가능ordered: 확정 주문됨. 편집 불가, 취소 불가rendering: 렌더링 중rendered: 렌더링 완료canceled: 취소 처리된 상태. 주문 취소 API로 취소하면 프로젝트는canceled가 아니라editing으로 돌아갑니다
Example:
"editing"
주문된 경우에만 있습니다. 정수입니다
복제된 프로젝트인 경우에만 있습니다